package wtf.hak;

import net.fabricmc.fabric.api.datagen.v1.DataGeneratorEntrypoint;
import net.fabricmc.fabric.api.datagen.v1.FabricDataGenerator;
import net.minecraft.registry.Registries;
import wtf.hak.blocks.ModBlocks;
import wtf.hak.datagen.*;

public class SurvivalEnhancedDataGenerator implements DataGeneratorEntrypoint {

	@Override
	public void onInitializeDataGenerator(FabricDataGenerator generator) {
		FabricDataGenerator.Pack pack = generator.createPack();

		//System.out.println("MY_BLOCK ID: " + Registries.BLOCK.getId(ModBlocks.TEST_BLOCK));

		pack.addProvider(ModBlockTagProvider::new);
		pack.addProvider(ModItemTagProvider::new);
		pack.addProvider(ModModelProvider::new);
		pack.addProvider(ModLootTableProvider::new);
		pack.addProvider(ModEngLangProvider::new);
		//pack.addProvider(ModRecipeProvider::new);
	}
}
